package ink.wgink.module.form.pojo.dtos.onlyoffice.config;

/**
 * @ClassName: DocumentDTO
 * @Description: 配置
 * @Author: wanggeng
 * @Date: 2022/7/24 16:26
 * @Version: 1.0
 */
public class DocumentDTO {

    private String fileType;
    private String key;
    private String title;
    private String url;
    private PermissionsDTO permissionsDTO;

    public String getFileType() {
        return fileType == null ? "" : fileType.trim();
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getKey() {
        return key == null ? "" : key.trim();
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getTitle() {
        return title == null ? "" : title.trim();
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getUrl() {
        return url == null ? "" : url.trim();
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public PermissionsDTO getPermissionsDTO() {
        return permissionsDTO;
    }

    public void setPermissionsDTO(PermissionsDTO permissionsDTO) {
        this.permissionsDTO = permissionsDTO;
    }
}
